<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template>
    <xsl:value-of />
  </xsl:template>

  <xsl:template match="/">
    <HTML><HEAD><TITLE>HR XML Example</TITLE></HEAD>
      <BODY BGCOLOR="#FFFFFF">
	  <TABLE>
	        <TR>
	          <TD WIDTH="40">  </TD>
        <TD WIDTH="580">
		<H1 style="padding-left: 15px; background-color: #000000; color: #ffffff; font-family: Verdana, Arial; font-size: 18pt; text-align: center; font-style: italic; letter-spacing: 0.5em">
		      Resume
	  </H1>
	  <xsl:for-each select="resumedatabase/resume/resumebody">
     	      <xsl:apply-templates select="personaldata"/>
			  <xsl:apply-templates select="resumesection"/>
       </xsl:for-each>
	   </TD>
	   </TR>
    </TABLE>
</BODY>
</HTML>
  </xsl:template>

<xsl:template match="personaldata">
    <xsl:apply-templates select="name"/>
    <xsl:apply-templates select="address"/>
</xsl:template>


<xsl:template match="resumesection">
     <xsl:apply-templates select="./sectiontitle"/>
    <xsl:apply-templates select="secbody"/>
</xsl:template>

<xsl:template match="sectiontitle" >
     <h4><FONT FACE="arial, geneva, lucida sans unicode, helvetica">
	 <xsl:value-of />
	 </FONT>
	 </h4>
</xsl:template>

<xsl:template match="secbody" >
    <xsl:apply-templates select="./secbody/resumesection/sectiontitle"/>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="./secbody/resumesection/sectiontitle">
     <FONT FACE="arial, geneva, lucida sans unicode, helvetica" SIZE="-1"><B>
	 <xsl:apply-templates/></B>
	 </FONT>
	 </xsl:template>

<xsl:template match="p" >
     <p><FONT FACE="arial, geneva, lucida sans unicode, helvetica" SIZE="-1">
	 <xsl:apply-templates />
	 </FONT>
	 </p>
</xsl:template>

<xsl:template match="ul">
 <UL>
 <xsl:apply-templates select="li" />
  </UL>
  </xsl:template>

<xsl:template match="li">
   <LI>
   <FONT FACE="arial, geneva, lucida sans unicode, helvetica" SIZE="-1">
   <xsl:value-of />
   </FONT>
</LI>
</xsl:template>


<xsl:template match="name" >
     <h2><FONT FACE="arial, geneva, lucida sans unicode, helvetica">
	 <xsl:apply-templates />
	 </FONT>
	 </h2>
</xsl:template>


<!-- Address Components -->

<xsl:template match="address" >
    <FONT FACE="arial, geneva, lucida sans unicode, helvetica" SIZE="-1">
	<B><I>
	<xsl:apply-templates select="addressline"/>
	<xsl:apply-templates select="city"/>
	<xsl:apply-templates select="state"/>
	<xsl:apply-templates select="postalcode"/>
	</I></B>
	</FONT>
</xsl:template>

<xsl:template match="addressline" >
	<xsl:value-of/>,
</xsl:template>

<xsl:template match="state" >
	<xsl:value-of/>,
</xsl:template>

<xsl:template match="city" ><xsl:value-of/>, </xsl:template>

<xsl:template match="postalcode" ><xsl:value-of/></xsl:template>
<xsl:template match="jobtitle" ><xsl:value-of/></xsl:template>
<xsl:template match="employername" ><xsl:value-of/></xsl:template>
<xsl:template match="month" ><xsl:value-of/></xsl:template>
<xsl:template match="year" ><xsl:value-of/></xsl:template>
<xsl:template match="day" ><xsl:value-of/></xsl:template>
<xsl:template match="startdate" ><xsl:value-of/></xsl:template>
<xsl:template match="enddate" ><xsl:value-of/></xsl:template>
<xsl:template match="skillsqualif" ><xsl:value-of/></xsl:template>  
<xsl:template match="experiencequalif" ><xsl:value-of/></xsl:template>    
<xsl:template match="educationqualif" ><xsl:value-of/></xsl:template> 
<xsl:template match="softwarequalif" ><xsl:value-of/></xsl:template>    
<xsl:template match="prgmlangqualif" ><xsl:value-of/></xsl:template>    
<xsl:template match="educationqualif" ><xsl:value-of/></xsl:template>  
<xsl:template match="licensequalif" ><xsl:value-of/></xsl:template>    
<xsl:template match="certificationqualif" ><xsl:value-of/></xsl:template>   
<xsl:template match="otherqualif" ><xsl:value-of/></xsl:template>    
<xsl:template match="hardwarequalif" ><xsl:value-of/></xsl:template>  
<xsl:template match="employername" ><xsl:value-of/></xsl:template>  

</xsl:stylesheet>
